%global gem_name mimemagic
Name:                rubygem-%{gem_name}
Version:             0.4.3
Release:             1
Summary:             Fast mime detection by extension or content
License:             MIT
URL:                 https://github.com/minad/mimemagic
Source0:             https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires:       ruby(release) rubygems-devel ruby rubygem(minitest)
BuildRequires:       rubygem-rake shared-mime-info
BuildArch:           noarch

%description
Fast mime detection by extension or content in pure ruby (Uses
freedesktop.org.xml shared-mime-info database).

%package doc
Summary:             Documentation for %{name}
Requires:            %{name} = %{version}-%{release}
BuildArch:           noarch
%description doc
Documentation for %{name}.

%prep
%setup -q -n  %{gem_name}-%{version}

%build
gem build ../%{gem_name}-%{version}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%check
pushd .%{gem_instdir}
ruby -Ilib -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.*
%license %{gem_instdir}/LICENSE
%{gem_instdir}/CHANGELOG.md
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/ext/mimemagic/Rakefile
%{gem_instdir}/mimemagic.gemspec

%changelog
* Fri Jul 01 2022 xu_ping <xuping33@h-partners.com> - 0.4.3-1
- Upgrade 0.4.3

* Wed Aug 19 2020 geyanan <geyanan2@huawei.com> - 0.3.2-1
- package init
